Foreman - Bug #5510

Set network as first boot device for VMs in VMware compute resources
04/30/2014 01:27 PM - Marco De Vitis

Status: Closed
Priority: Normal
Assignee: Timo Goebel
Category: Compute resources - VMware
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2900
Description

When creating a virtual machine via Foreman on a VMware compute resource (ESX), the boot order of the VM has the hard disk as
first boot device and network as last boot device.

This works for the first VM build because there's nothing on the VM HDD, but when you try to rebuild the VM the PXE image is never
loaded from the network because the installed OS is booted first from HDD.

Somehow the default boot order should have network set as the first boot device, just like it happens for other compute resource
types, e.g. libvirt/KVM.

This would also partly satisfy this feature request: http://projects.theforeman.org/issues/4317

Related issues:

Related to Foreman - Feature #4317: Build button - Vmware provisioning - sing... Resolved 02/11/2014
Related to Foreman - Bug #14160: VMware image-based provisioning: 'configSpec... Closed 03/11/2016
Related to Foreman - Bug #26010: For the vms built using "Network Based" inst... Closed

Blocked by Foreman - Refactor #12612: Update fog to 1.37.0 Closed 11/26/2015

Associated revisions

Revision b466551b - 01/13/2016 05:21 AM - Timo Goebel

fixes #5510 - Set network as first boot device for VMs in VMware compute resources

History

#1 - 04/30/2014 01:29 PM - Dominic Cleal
- Related to Feature #4317: Build button - Vmware provisioning - single click rebuild added

#2 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#3 - 05/06/2015 06:58 AM - Arnold Bechtoldt

We see this issue in several of our projects. It would be great to have solution for this. A workaround would be to change the boot priority order after
adding the host via hooks or sth. similar..

#4 - 11/10/2015 08:40 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/2900 added

#5 - 11/13/2015 11:15 PM - Timo Goebel
- Blocked by Feature #12479: Configure API revision for vSphere Compute Resource added

#6 - 11/18/2015 10:45 AM - Timo Goebel
http://projects.theforeman.org/issues/4317

- Blocked by deleted (Feature #12479: Configure API revision for vSphere Compute Resource)

#7 - 11/26/2015 06:02 AM - Timo Goebel
- Blocked by Refactor #12612: Update fog to 1.37.0 added

#8 - 01/13/2016 05:22 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#9 - 01/13/2016 06:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b466551bddca3ac3638d90eae508711c10e287e1.

#10 - 03/11/2016 10:21 AM - Dominic Cleal

- Related to Bug #14160: VMware image-based provisioning: ‘configSpec.bootOptions.bootOrder' parameter incorrect added

#11 - 02/07/2019 01:22 PM - Marek Hulan
- Related to Bug #26010: For the vms built using "Network Based" installation mode on VMWare, unable to change the boot sequence via BIOS added
